Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class ModelMBeanOperationInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanOperationInfo
              javax.management.modelmbean.ModelMBeanOperationInfo

All Implemented Interfaces:
  Cloneable, DescriptorAccess, Serializable

public class ModelMBeanOperationInfo
extends MBeanOperationInfo
implements DescriptorAccess

Represents Model MBean operation.

Version:
  $Revision: 1.15 $
Author:
  Juha Lindfors., Adrian Brock., Thomas Diesler.
See Also:
  `ModelMBeanInfo`, `ModelMBeanInfoSupport`, Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanOperationInfo
`ACTION, ACTION_INFO, INFO, UNKNOWN`

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`ModelMBeanOperationInfo(ModelMBeanOperationInfo info)` Copy constructor.
`ModelMBeanOperationInfo(String description, Method operationMethod)` Creates a new operation info with a default descriptor.
`ModelMBeanOperationInfo(String description, Method operationMethod, Descriptor descriptor)` Creates a new operation info with a given descriptor.
`ModelMBeanOperationInfo(String name, String description, MBeanParameterInfo[] signature, String type, int impact)` Creates a new operation info with a default descriptor.
`ModelMBeanOperationInfo(String name, String description, MBeanParameterInfo[] signature, String type, int impact, Descriptor descriptor)` Creates a new operation info with a given descriptor.

Method Summary
`Object` | `clone()` Creates a copy of this object.
`Descriptor` | `getDescriptor()` Returns a copy of the descriptor associated with this operation.
`void` | `setDescriptor(Descriptor inDescriptor)` Replaces the descriptor associated with this operation.
`String` | `toString()` Returns a string representation of this Model MBean operation info object.

Methods inherited from class javax.management.MBeanOperationInfo
`equals, getImpact, getReturnType, getSignature, hashCode`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelMBeanOperationInfo

    public ModelMBeanOperationInfo(String description,
                                   Method operationMethod)

  Creates a new operation info with a default descriptor.

Parameters:
  `description` - human readable description string
  `operationMethod` - a `Method` instance representing the management operation

### ModelMBeanOperationInfo

    public ModelMBeanOperationInfo(String description,
                                   Method operationMethod,
                                   Descriptor descriptor)

  Creates a new operation info with a given descriptor. If a `null` or invalid descriptor is passed as a paramter, a default descriptor will be created for the operation.

Parameters:
  `description` - human readable description string
  `operationMethod` - a `Method` instance representing the management operation
  `descriptor` - a descriptor to associate with this operation

### ModelMBeanOperationInfo

    public ModelMBeanOperationInfo(String name,
                                   String description,
                                   MBeanParameterInfo[] signature,
                                   String type,
                                   int impact)

  Creates a new operation info with a default descriptor.

Parameters:
  `name` - name of the operation
  `description` - human readable description string
  `signature` - operation signature
  `type` - a fully qualified name of the operations return type
  `impact` - operation impact: `INFO`, `ACTION`, `ACTION_INFO`, `UNKNOWN`

### ModelMBeanOperationInfo

    public ModelMBeanOperationInfo(String name,
                                   String description,
                                   MBeanParameterInfo[] signature,
                                   String type,
                                   int impact,
                                   Descriptor descriptor)

  Creates a new operation info with a given descriptor. If a `null` or invalid descriptor is passed as a parameter, a default descriptor will be created for the operation.

Parameters:
  `name` - name of the operation
  `description` - human readable description string
  `signature` - operation signature
  `type` - a fully qualified name of the oeprations return type
  `impact` - operation impact: `INFO`, `ACTION`, `ACTION_INFO`, `UNKNOWN`
  `descriptor` - a descriptor to associate with this operation

### ModelMBeanOperationInfo

    public ModelMBeanOperationInfo(ModelMBeanOperationInfo info)

  Copy constructor.

Parameters:
  `info` - the operation info to copy

Method Detail

### getDescriptor

    public Descriptor getDescriptor()

  Returns a copy of the descriptor associated with this operation.

  Specified by:
    `getDescriptor` in interface `DescriptorAccess`
  Returns:
    a copy of this operation's associated descriptor

### setDescriptor

    public void setDescriptor(Descriptor inDescriptor)

  Replaces the descriptor associated with this operation. If the `inDescriptor` argument is `null` then the existing descriptor is replaced with a default descriptor.

  Specified by:
    `setDescriptor` in interface `DescriptorAccess`
  Parameters:
    `inDescriptor` - descriptor used for replacing the existing operation descriptor
  Throws:
    `IllegalArgumentException` - if the new descriptor is not valid

### clone

    public Object clone()

  Creates a copy of this object.

  Overrides:
    `clone` in class `MBeanOperationInfo`
  Returns:
    clone of this object

### toString

    public String toString()

  Returns a string representation of this Model MBean operation info object. The returned string is in the form:

         ModelMBeanOperationInfo[<return type> <operation name>(<signature>),
         Impact=ACTION | INFO | ACTION_INFO | UNKNOWN,
         Descriptor=(fieldName1=fieldValue1, ... , fieldName<n>=fieldValue<n>)]

  Overrides:
    `toString` in class `MBeanOperationInfo`
  Returns:
    string representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.